Loading...
Searching...
No Matches
CAMELLIA
libavutil » Crypto and Hashing

## Functions

struct AVCAMELLIA * | av_camellia_alloc (void)
| Allocate an AVCAMELLIA context To free the struct: av_free(ptr).
int | av_camellia_init (struct AVCAMELLIA *ctx, const uint8_t *key, int key_bits)
| Initialize an AVCAMELLIA context.
void | av_camellia_crypt (struct AVCAMELLIA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_camellia_size

## Detailed Description

## Function Documentation

## av_camellia_alloc()

struct AVCAMELLIA * av_camellia_alloc | ( | void |  | ) |

Allocate an AVCAMELLIA context To free the struct: av_free(ptr).

## av_camellia_init()

int av_camellia_init | ( | struct AVCAMELLIA * | ctx,
|  | const uint8_t * | key,
|  | int | key_bits )

Initialize an AVCAMELLIA context.

Parameters

  ctx | an AVCAMELLIA context
  key | a key of 16, 24, 32 bytes used for encryption/decryption
  key_bits | number of keybits: possible are 128, 192, 256

## av_camellia_crypt()

void av_camellia_crypt | ( | struct AVCAMELLIA * | ctx,
|  | uint8_t * | dst,
|  | const uint8_t * | src,
|  | int | count,
|  | uint8_t * | iv,
|  | int | decrypt )

Encrypt or decrypt a buffer using a previously initialized context.

Parameters

  ctx | an AVCAMELLIA context
  dst | destination array, can be equal to src
  src | source array, can be equal to dst
  count | number of 16 byte blocks
  iv | initialization vector for CBC mode, NULL for ECB mode
  decrypt | 0 for encryption, 1 for decryption

## Variable Documentation

## av_camellia_size

const int av_camellia_size

extern